# CWL examples

:bulb: Requires installation of a CWL runner and docker  
&rarr; checkout CWL guides in the [DataPLANT Knowledge Base](https://nfdi4plants.org/nfdi4plants.knowledgebase/docs/guides/ComputationalWorkflows/index.html)

All three workflow examples below (re)create the file [fsResult1/result.csv](fsResult1/result.csv).

## with a docker container

```bash
cd runs/fsResult1
cwltool ../../workflows/FixedScript/FSharpArcCapsule.cwl ../FSharpArcCapsule.yml
```

## With a fixed script in a mounted arc

```bash
cd runs/fsResult1
cwltool ../../workflows/ARCMount/FSharpArcCapsule.cwl ../FSharpArcCapsule.yml
```

## Within an ARC with a devcontainer

```bash
cd runs/fsResult1
cwltool ../../workflows/Devcontainer/FSharpArcCapsule.cwl ../FSharpArcCapsule.yml
```
